Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.0   

Description

This change makes easier to distinguish details (attachments, changes of statuses, assignees, ...) and notes in a issue history.

 sample-19097.png 

Associated revisions

Revision 14686 - 2015-10-17 11:29 - Jean-Philippe Lang

Lighter colors for journal details in issue history (#20370).

Patch by budo kaiman.

History

#1 - 2015-07-28 15:30 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2015-07-28 23:21 - Michael Goegel

+1

Even with round corners to prevent injuries :o)

#3 - 2015-08-30 09:56 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

#4 - 2015-10-01 19:10 - Jean-Philippe Lang

Do we really want to highlight the journal details? Most of the time, people want them to be less visible. I would rather fade them out with something

like color:#aaa.

I'd like to have more feedback on this before making any change.

#5 - 2015-10-02 13:19 - budo kaiman

- File FieldChanges.png added

- File FilesAdded.png added

Jean-Philippe Lang wrote:

Do we really want to highlight the journal details? Most of the time, people want them to be less visible. I would rather fade them out with

something like color:#aaa.

I'd like to have more feedback on this before making any change.

 I agree that it should be less visible opposed to highlighting it, and your suggestion looks good when only fields have changed

But when files are attached, it doesn't seem to make much difference

#6 - 2015-10-03 11:33 - Jean-Philippe Lang

budo kaiman wrote:

I agree that it should be less visible opposed to highlighting it, and your suggestion looks good when only fields have changed

But when files are attached, it doesn't seem to make much difference
 We can choose a lighter blue for links. For example:

.journal ul.details {color:#aaa;}

.journal ul.details a {color:#8da3cc;}

.journal ul.details a:hover {color:#c61a1a;}

#7 - 2015-10-03 11:48 - Go MAEDA

Thanks for feedback. I will make an updated patch.

#8 - 2015-10-04 18:11 - Go MAEDA

- File patch-20151005.diff added

Updated the patch.

From the viewpoint of readability, I think '#aaa' is too pale. Chose '#808080' (same color with activity description) for journal details and changed

color of main text from '#484848' to '#333'.

Increased the separation between journal details and a note.

FYI: GitHub uses '#767676' and #333'. example: https://github.com/phusion/passenger/issues/1622

#9 - 2015-10-05 13:54 - budo kaiman

- File Redmine_Pathch-20151005.png added

I agree with the decision to use '#808080' and I think the patch looks much better.

 Redmine_Pathch-20151005.png 

Edit: On second thought, I think '#808080' might be a tad too dark.  I tried a few values and found '#959595' to work well.

#10 - 2015-10-05 17:26 - budo kaiman

- File patch-20151005_lighter.diff added

- File Redmine_patch-20151005_lighter.png added

Attaching a patch with some lighter values which I think work better and are still readable.

 Redmine_patch-20151005_lighter.png 

#11 - 2015-10-17 11:29 - Jean-Philippe Lang

- Subject changed from Set background color of journal details in a issue history to Lighter colors for journal details in issue history

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed in r14686, thanks.

Files

journal-detail-background-color.diff 711 Bytes 2015-07-19 Go MAEDA

sample-19097.png 113 KB 2015-07-19 Go MAEDA

FieldChanges.png 82.8 KB 2015-10-02 budo kaiman

FilesAdded.png 115 KB 2015-10-02 budo kaiman

patch-20151005.diff 1.55 KB 2015-10-04 Go MAEDA

Redmine_Pathch-20151005.png 97 KB 2015-10-05 budo kaiman

patch-20151005_lighter.diff 1.55 KB 2015-10-05 budo kaiman

Redmine_patch-20151005_lighter.png 103 KB 2015-10-05 budo kaiman
